###################################################################
#
# This stage is for phpPgAdmin
#
###################################################################
export LANG=C

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

APACI_DIR=$ROOT/opt/apache
PHP_DIR=$ROOT/opt/php4

( cd $APACI_DIR/htdocs;
  ln -sf  phpPgAdmin-3.0  phpPgAdmin;
  /bin/su postgres -c 'psql -f phpPgAdmin/sql/reports-pgsql.sql';
)

# ( DONOT CHANGE THE NEXT ONE LINE )
# Add phpPgAdmin Entry to Apache document index.
if [ -f $APACI_DIR/htdocs/contents.list ]; then
  if ! fgrep "phpPgAdmin-3.0" $APACI_DIR/htdocs/contents.list 1> /dev/null 2>&1; then

    cat >> $APACI_DIR/htdocs/contents.list <<EOL

    <P ALIGN="CENTER"> phpPgAdmin-3.0
    ( <A
	HREF="http://phppgadmin.sourceforge.net/"
      >http://phppgadmin.sourceforge.net/</A>
    )<BR>
     (PostgreSQL Web󥿡ե)<BR>
     <A
      HREF="/phpPgAdmin/"
     >execution</A>
    </P>
EOL
  fi
else
  awk '/Add phpPgAdmin Entry/,/#EOS2' $ROOT/install/doinst.sh >> /tmp/add_apache_test.sh
fi
#EOS2

